# Puissance 4 - Greub Rémi

le programme se lance avec 3 arguments : 
- **arg1** : mode de jeu, peut être de valeur 1, 2 ou 3
  - 1 -> mode dumbAI (ordinateur joue random)
  - 2 -> mode smartAI l'ordinateur peux bloquer un coup gagnant, trouver un coup gagnant ou jouer en random
  - 3 -> mode 2 joueurs
- **arg2** : hauteur de la grille height
- **arg3** : largeur de la grille width  

### exemple de l'affichage (jeu de taille 6 par 7)  
```
┌─┬─┬─┬─┬─┬─┬─┐
│ │ │ │ │ │ │ │
├─┼─┼─┼─┼─┼─┼─┤
│ │ │ │ │ │ │ │
├─┼─┼─┼─┼─┼─┼─┤
│ │ │ │X│ │ │ │
├─┼─┼─┼─┼─┼─┼─┤
│ │ │X│O│ │ │ │
├─┼─┼─┼─┼─┼─┼─┤
│O│X│X│O│ │ │ │
├─┼─┼─┼─┼─┼─┼─┤
│X│O│X│O│ │ │ │
└─┴─┴─┴─┴─┴─┴─┘
 1 2 3 4 5 6 7
```
## utilisation depuis makefile
- compiler le programme -> `make` ou `make puissance4`
- compiler + lancer le programme -> `make run` avec les arguments 1 6 7 de base !
  - il est possible de lui passer d'autres arguments avec `make run ARGS="arg1 arg2 arg3"`
- pour lancer tous les tests unitaires (tests du prof suivis des tests unitaires créés par mes soins) -> `make run_tests` (la cible `make tests est toujours dispo`)
- pour supprimer les fichier .o, executables etc... `make clean`

