#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <stdbool.h>
#include "puissance4.h"


int main(int argc, char** argv){
    if((argc < 3) || (argc > 4)){
        printf("il manque des arguments\n");
        return EXIT_FAILURE;
    }
    int mode = atoi(argv[1]);
    int width = 0;
    int height = atoi(argv[2]);
    if(argc < 4){
        width = atoi(argv[2]);
    }else{
        width = atoi(argv[3]);
    }

    printf("Board size is %dx%d (rows x col)\n",height,width);
    struct game game;
    switch (mode)
    {
        case 1:
            init_puissance4(&game, height, width);
            Launch_puissance4_randBot(&game, 0);
        break;
        case 2:
            init_puissance4(&game, height, width);
            Launch_puissance4_smartBot(&game, 0);
        break;
        case 3:
            init_puissance4(&game, height, width);
            Launch_puissance4(&game);
        break;
        
        default:
            printf("t'as pas rentré un mode valide ! c'est 1, 2 ou 3\n");
            return EXIT_FAILURE;
    }

    return EXIT_SUCCESS;
}

// dessine une quadrillage  puissance4.h
// créé un quadrillage virtuel puissance4.h
// trouve qui a gagner puissance4.h